Bug 64885 - EDITING: range name completion doesn't understand that names can contain underscores
Summary: EDITING: range name completion doesn't understand that names can contain unde...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
3.6.6.2 release
Hardware: All All
: low minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: needsDevEval
Depends on:
Blocks: Cell-Name
  Show dependency treegraph
 
Reported: 2013-05-23 00:00 UTC by scott
Modified: 2017-07-23 19:39 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description scott 2013-05-23 00:00:18 UTC
1. Name a cell 'foo1'
2. Name another cell 'my_favorite'
3. Start typing a formula:  =my_f

Range name autocompletion will suggest 'foo1' and choosing it results in 'my_foo1'

Instead, I expect 'my_favorite' to be suggested.
Comment 1 Francisco 2013-05-23 01:26:03 UTC
Scott:

I think there's something I'm missing. When I follow your steps, autocompletion suggest "=MAX(", because of the formula "MAX", but nothing with "foo1".

When I start to type "my" on a cell in Calc, it suggest "my_favourite" as the cell on step 2.
Comment 2 scott 2013-05-23 07:44:17 UTC
(In reply to comment #1)
> When I start to type "my" on a cell in Calc, it suggest "my_favourite" as
> the cell on step 2.

Yes, but the issue is that when you've typed 'my_f' the suggestion is 'foo1'; imagine the set of names is:

foo1
my_cat
...
my_favourite
my_food
...

Now when you type 'my_f' you want to be able to choose between my_favourite and my_food but what you get is 'foo1'

(In my actual spreadsheet I have 150+ names (not all with the same prefix, though).)
Comment 3 Joel Madero 2013-05-24 15:57:49 UTC
I'm able to confirm this on 3.6.6.2 release, updating version as version reflects oldest version that we see the issue - this is likely even older, maybe all the way back to beginning of LibreOffice days but I don't have the means to test that assumption right now.

Marking as:
New
Minor - doens't prevent high quality work, but can slow it down a little
Low - default seems appropriate, relatively easy to workaround this issue.

ProposedEasyHack
Comment 4 Joel Madero 2013-05-24 15:58:29 UTC
Sorry forgot to say:
Bodhi Linux x64
LibreOffice Version Tested: 4.0.3.3 release & 3.6.6.2 release
Comment 5 Joel Madero 2014-02-27 22:55:23 UTC
In order to limit the confusion between ProposedEasyHack and EasyHack and to make queries much easier we are changing ProposedEasyHack to NeedsDevEval.

Thank you and apologies for the noise
Comment 6 Robinson Tryon (qubit) 2015-12-13 11:21:01 UTC Comment hidden (obsolete)
Comment 7 QA Administrators 2017-01-03 19:49:46 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present on a currently supported version of LibreOffice 
(5.1.6 or 5.2.3  https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the version of LibreOffice and 
your operating system, and any changes you see in the bug behavior
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave 
a short comment that includes your version of LibreOffice and Operating System

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3)

http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to "inherited from OOo";
4b. If the bug was not present in 3.3 - add "regression" to keyword


Feel free to come ask questions or to say hello in our QA chat: http://webchat.freenode.net/?channels=libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug-20170103